Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.trans
Class OrderingTranslator

    java.lang.Object
      org.apache.cayenne.access.trans.QueryAssemblerHelper
          org.apache.cayenne.access.trans.OrderingTranslator

    public class OrderingTranslator

extends QueryAssemblerHelper

Translates query ordering to SQL.

Field Summary
`protected List<String>` | `orderByColumnList`

Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`out, queryAssembler, strategy`

Constructor Summary
`OrderingTranslator(QueryAssembler queryAssembler)`

Method Summary
`protected void` | `doAppendPart()` Translates query Ordering list to SQL ORDER BY clause.
`List<String>` | `getOrderByColumnList()` Returns the column expressions (not Expressions) used in the order by clause.

Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper
`appendDbPath, appendLikeEscapeCharacter, appendLiteral, appendLiteralDirect, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processColumn, processColumnWithQuoteSqlIdentifiers, processRelTermination, processRelTermination`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderByColumnList

    protected List<String> orderByColumnList

Constructor Detail

### OrderingTranslator

    public OrderingTranslator(QueryAssembler queryAssembler)

Method Detail

### doAppendPart

    protected void doAppendPart()
                         throws IOException

  Translates query Ordering list to SQL ORDER BY clause. Ordering list is obtained from `queryAssembler`'s query object. In a process of building of ORDER BY clause, `queryAssembler` is notified when a join needs to be added.

  Specified by:
    `doAppendPart` in class `QueryAssemblerHelper`
  Throws:
    `IOException`
  Since:
    3.0

### getOrderByColumnList

    public List<String> getOrderByColumnList()

  Returns the column expressions (not Expressions) used in the order by clause. E.g., in the case of an case-insensitive order by, an element of the list would be `UPPER(<column reference>)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.